package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.DrawApplyUserfile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DrawApplyUserfileMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(DrawApplyUserfile record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(DrawApplyUserfile record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return DrawApplyUserfile
     */
    DrawApplyUserfile selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(DrawApplyUserfile record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(DrawApplyUserfile record);


    /**
     * selectByCode
     *
     * @param code
     * @return DrawApplyUserfile
     */
    DrawApplyUserfile selectByCode(String code);

    /**
     * findByCode
     *
     * @param code
     * @return CreditApply
     */
    List<DrawApplyUserfile> findByDrawApplyCode(@Param("code")String code);
}